package intrinsic.mx.validators;

public class RegExpValidationResult extends intrinsic.mx.validators.ValidationResult {

	/** Accessors */

	/** Variables */
	public String matchedString;
	public int matchedIndex;
	public intrinsic.Array matchedSubstrings;
	public String subField;
	public String errorMessage;
	public String errorCode;
	public boolean isError;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public RegExpValidationResult() {
}

public RegExpValidationResult(boolean arg0) {
}

public RegExpValidationResult(boolean arg0, String arg1) {
}

public RegExpValidationResult(boolean arg0, String arg1, String arg2) {
}

public RegExpValidationResult(boolean arg0, String arg1, String arg2, String arg3) {
}

public RegExpValidationResult(boolean arg0, String arg1, String arg2, String arg3, String arg4) {
}

public RegExpValidationResult(boolean arg0, String arg1, String arg2, String arg3, String arg4, int arg5) {
}

public RegExpValidationResult(boolean arg0, String arg1, String arg2, String arg3, String arg4, int arg5, intrinsic.Array arg6) {
}


/** Static Methods */

/** Methods */

}
